public class StringBuilderTest {
    public StringBuilderTest() {
        for (int i = 0; i < 10; i++) {
            append1();
            append2();
        }
    }

    private void append1() {
        StringBuffer buffer = new StringBuffer();
        
        long start = System.currentTimeMillis();
        for (int i = 0; i < 1000; i++) {
            append(buffer);
        }
        long end = System.currentTimeMillis();

        System.out.println("StringBuffer: " + (end - start));
    }

    private void append(StringBuffer buffer) {
        for (char c = (char)0; c < (char)10000; c++) {
            buffer.append(c);
        }
    }

    private void append2() {
        StringBuilder builder = new StringBuilder();
        
        long start = System.currentTimeMillis();
        for (int i = 0; i < 1000; i++) {
            append(builder);
        }
        long end = System.currentTimeMillis();

        System.out.println("StringBuilder: " + (end - start));
    }

    private void append(StringBuilder builder) {
        for (char c = (char)0; c < (char)10000; c++) {
            builder.append(c);
        }
    }

    public static void main(String[] args) {
        new StringBuilderTest();
    }
}
